Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 1849)
+++ palm/trunk/SOURCE/Makefile	(revision 1850)
@@ -21,4 +21,6 @@
 # ------------------
 # Adapted for modularization of microphysics 
+# Several files renamed --> _mod
+# Bugfix for previous commit
 # 
 # Former revisions:
@@ -259,19 +261,19 @@
 PROG =  palm
 
-SOURCES = advec_s_bc.f90 advec_s_pw.f90 advec_s_up.f90 advec_ws.f90 \
-	advec_u_pw.f90 advec_u_up.f90 advec_v_pw.f90 advec_v_up.f90 \
-	advec_w_pw.f90 advec_w_up.f90 average_3d_data.f90 boundary_conds.f90 \
-	buoyancy.f90 calc_liquid_water_content.f90 calc_mean_profile.f90 \
-	calc_radiation.f90 \
+SOURCES = advec_s_bc_mod.f90 advec_s_pw_mod.f90 advec_s_up_mod.f90 advec_ws_mod.f90 \
+	advec_u_pw_mod.f90 advec_u_up_mod.f90 advec_v_pw_mod.f90 advec_v_up_mod.f90 \
+	advec_w_pw_mod.f90 advec_w_up_mod.f90 average_3d_data.f90 boundary_conds.f90 \
+	buoyancy_mod.f90 calc_liquid_water_content.f90 calc_mean_profile_mod.f90 \
+	calc_radiation_mod.f90 \
 	check_for_restart.f90 check_open.f90 check_parameters.f90 \
-	close_file.f90 compute_vpt.f90 coriolis.f90 cpulog.f90 \
-	cuda_fft_interfaces.f90 data_log.f90 data_output_dvrp.f90 \
+	close_file.f90 compute_vpt.f90 coriolis_mod.f90 cpulog_mod.f90 \
+	cuda_fft_interfaces_mod.f90 data_log.f90 data_output_dvrp_mod.f90 \
 	data_output_mask.f90 data_output_profiles.f90 \
 	data_output_ptseries.f90 data_output_spectra.f90 \
 	data_output_tseries.f90 data_output_2d.f90 data_output_3d.f90 \
-	diffusion_e.f90 diffusion_s.f90 diffusion_u.f90 diffusion_v.f90 \
-	diffusion_w.f90 diffusivities.f90 disturb_field.f90 \
-	disturb_heatflux.f90 eqn_state_seawater.f90 exchange_horiz.f90 \
-	exchange_horiz_2d.f90 fft_xy.f90 flow_statistics.f90 \
+	diffusion_e_mod.f90 diffusion_s_mod.f90 diffusion_u_mod.f90 diffusion_v_mod.f90 \
+	diffusion_w_mod.f90 diffusivities.f90 disturb_field.f90 \
+	disturb_heatflux.f90 eqn_state_seawater_mod.f90 exchange_horiz.f90 \
+	exchange_horiz_2d.f90 fft_xy_mod.f90 flow_statistics.f90 \
 	global_min_max.f90 header.f90 \
 	inflow_turbulence.f90 init_1d_model.f90 init_3d_model.f90 \
@@ -279,31 +281,31 @@
 	init_grid.f90 init_masks.f90 init_ocean.f90 \
 	init_pegrid.f90 init_pt_anomaly.f90 init_rankine.f90 init_slope.f90 \
-	interaction_droplets_ptq.f90 land_surface_model_mod.f90 \
+	interaction_droplets_ptq_mod.f90 land_surface_model_mod.f90 \
 	local_stop.f90 local_system.f90 local_tremain.f90 \
 	local_tremain_ini.f90 lpm.f90 lpm_advec.f90 lpm_boundary_conds.f90 \
-	lpm_calc_liquid_water_content.f90 lpm_collision_kernels.f90 \
+	lpm_calc_liquid_water_content.f90 lpm_collision_kernels_mod.f90 \
 	lpm_data_output_particles.f90 lpm_droplet_collision.f90 \
-	lpm_droplet_condensation.f90 lpm_exchange_horiz.f90 \
-	lpm_init.f90 lpm_init_sgs_tke.f90 \
+	lpm_droplet_condensation.f90 lpm_exchange_horiz_mod.f90 \
+	lpm_init_mod.f90 lpm_init_sgs_tke.f90 \
 	lpm_pack_arrays.f90 lpm_read_restart_file.f90 \
 	lpm_set_attributes.f90 \
 	lpm_write_exchange_statistics.f90 lpm_write_restart_file.f90 \
-	ls_forcing.f90 message.f90 microphysics.f90 modules.f90 mod_kinds.f90 \
-	mod_particle_attributes.f90 netcdf_interface.f90 nudging.f90 \
-	package_parin.f90 palm.f90 parin.f90 plant_canopy_model_mod.f90 pmc_interface.f90 \
-	pmc_client.f90 pmc_general.f90 pmc_handle_communicator.f90 pmc_mpi_wrapper.f90 \
-	pmc_server.f90 \
-	poisfft.f90 poismg.f90 \
-	poismg_fast.f90 pres.f90 print_1d.f90 production_e.f90 \
-	prognostic_equations.f90 progress_bar.f90 radiation_model_mod.f90 \
-	random_function.f90 random_gauss.f90 random_generator_parallel.f90 \
+	ls_forcing_mod.f90 message.f90 microphysics_mod.f90 modules.f90 mod_kinds.f90 \
+	mod_particle_attributes.f90 netcdf_interface_mod.f90 nudging_mod.f90 \
+	package_parin.f90 palm.f90 parin.f90 plant_canopy_model_mod.f90 pmc_interface_mod.f90 \
+	pmc_client_mod.f90 pmc_general.f90 pmc_handle_communicator_mod.f90 pmc_mpi_wrapper_mod.f90 \
+	pmc_server_mod.f90 \
+	poisfft_mod.f90 poismg.f90 \
+	poismg_fast_mod.f90 pres.f90 print_1d.f90 production_e_mod.f90 \
+	prognostic_equations_mod.f90 progress_bar_mod.f90 radiation_model_mod.f90 \
+	random_function_mod.f90 random_gauss.f90 random_generator_parallel_mod.f90 \
 	read_3d_binary.f90 read_var_list.f90 run_control.f90 \
-	set_slicer_attributes_dvrp.f90 singleton.f90 sor.f90 spectra_mod.f90 \
-	subsidence.f90 sum_up_3d_data.f90 \
-	surface_coupler.f90 surface_layer_fluxes.f90 swap_timelevel.f90 temperton_fft.f90 \
+	set_slicer_attributes_dvrp.f90 singleton_mod.f90 sor.f90 spectra_mod.f90 \
+	subsidence_mod.f90 sum_up_3d_data.f90 \
+	surface_coupler.f90 surface_layer_fluxes_mod.f90 swap_timelevel.f90 temperton_fft_mod.f90 \
 	time_integration.f90 time_to_string.f90 timestep.f90 \
-	timestep_scheme_steering.f90 transpose.f90 tridia_solver.f90 \
+	timestep_scheme_steering.f90 transpose.f90 tridia_solver_mod.f90 \
 	user_3d_data_averaging.f90 \
-	user_actions.f90 user_additional_routines.f90 \
+	user_actions_mod.f90 user_additional_routines.f90 \
 	user_check_data_output.f90 user_check_data_output_pr.f90 \
 	user_check_parameters.f90 user_data_output_2d.f90 \
@@ -314,7 +316,7 @@
 	user_init_plant_canopy.f90 user_init_radiation.f90 \
 	user_last_actions.f90 user_lpm_advec.f90 \
-	user_lpm_init.f90 user_lpm_set_attributes.f90 user_module.f90 \
+	user_lpm_init.f90 user_lpm_set_attributes.f90 user_module_mod.f90 \
 	user_parin.f90 user_read_restart_data.f90 \
-	user_spectra.f90 user_statistics.f90 wall_fluxes.f90 \
+	user_spectra.f90 user_statistics.f90 wall_fluxes_mod.f90 \
 	write_3d_binary.f90 write_var_list.f90
 
@@ -349,71 +351,71 @@
 
 
-advec_s_bc.o: modules.o cpulog.o mod_kinds.o
-advec_s_pw.o: modules.o mod_kinds.o
-advec_s_up.o: modules.o mod_kinds.o
-advec_u_pw.o: modules.o mod_kinds.o
-advec_u_up.o: modules.o mod_kinds.o
-advec_v_pw.o: modules.o mod_kinds.o
-advec_v_up.o: modules.o mod_kinds.o
-advec_ws.o: modules.o mod_kinds.o
-advec_w_pw.o: modules.o mod_kinds.o
-advec_w_up.o: modules.o mod_kinds.o
-average_3d_data.o: modules.o cpulog.o mod_kinds.o land_surface_model_mod.o\
+advec_s_bc_mod.o: modules.o cpulog_mod.o mod_kinds.o
+advec_s_pw_mod.o: modules.o mod_kinds.o
+advec_s_up_mod.o: modules.o mod_kinds.o
+advec_u_pw_mod.o: modules.o mod_kinds.o
+advec_u_up_mod.o: modules.o mod_kinds.o
+advec_v_pw_mod.o: modules.o mod_kinds.o
+advec_v_up_mod.o: modules.o mod_kinds.o
+advec_ws_mod.o: modules.o mod_kinds.o
+advec_w_pw_mod.o: modules.o mod_kinds.o
+advec_w_up_mod.o: modules.o mod_kinds.o
+average_3d_data.o: modules.o cpulog_mod.o mod_kinds.o land_surface_model_mod.o\
                    radiation_model_mod.o
 boundary_conds.o: modules.o mod_kinds.o
-buoyancy.o: modules.o mod_kinds.o
-calc_mean_profile.o: modules.o mod_kinds.o
+buoyancy_mod.o: modules.o mod_kinds.o
+calc_mean_profile_mod.o: modules.o mod_kinds.o
 calc_liquid_water_content.o: modules.o mod_kinds.o
-calc_radiation.o: modules.o mod_kinds.o
-check_for_restart.o: modules.o mod_kinds.o pmc_interface.o
-check_open.o: modules.o mod_kinds.o mod_particle_attributes.o netcdf_interface.o
+calc_radiation_mod.o: modules.o mod_kinds.o
+check_for_restart.o: modules.o mod_kinds.o pmc_interface_mod.o
+check_open.o: modules.o mod_kinds.o mod_particle_attributes.o netcdf_interface_mod.o
 check_parameters.o: modules.o mod_kinds.o land_surface_model_mod.o \
-	netcdf_interface.o plant_canopy_model_mod.o pmc_interface.o radiation_model_mod.o \
-	spectra_mod.o subsidence.o microphysics.o
-close_file.o: modules.o mod_kinds.o netcdf_interface.o
+	netcdf_interface_mod.o plant_canopy_model_mod.o pmc_interface_mod.o radiation_model_mod.o \
+	spectra_mod.o subsidence_mod.o microphysics_mod.o
+close_file.o: modules.o mod_kinds.o netcdf_interface_mod.o
 compute_vpt.o: modules.o mod_kinds.o
-coriolis.o: modules.o mod_kinds.o
-cpulog.o: modules.o mod_kinds.o
+coriolis_mod.o: modules.o mod_kinds.o
+cpulog_mod.o: modules.o mod_kinds.o
 cpu_statistics.o: modules.o mod_kinds.o
-cuda_fft_interfaces.o: cuda_fft_interfaces.f90 modules.o mod_kinds.o
+cuda_fft_interfaces_mod.o: cuda_fft_interfaces_mod.f90 modules.o mod_kinds.o
 data_log.o: modules.o mod_kinds.o
-data_output_dvrp.o: modules.o cpulog.o mod_kinds.o
-data_output_mask.o: modules.o cpulog.o mod_kinds.o mod_particle_attributes.o \
-   netcdf_interface.o
-data_output_profiles.o: modules.o cpulog.o mod_kinds.o netcdf_interface.o
-data_output_ptseries.o: modules.o cpulog.o mod_kinds.o \
-   netcdf_interface.o mod_particle_attributes.o
-data_output_spectra.o: modules.o cpulog.o mod_kinds.o netcdf_interface.o \
+data_output_dvrp_mod.o: modules.o cpulog_mod.o mod_kinds.o
+data_output_mask.o: modules.o cpulog_mod.o mod_kinds.o mod_particle_attributes.o \
+   netcdf_interface_mod.o
+data_output_profiles.o: modules.o cpulog_mod.o mod_kinds.o netcdf_interface_mod.o
+data_output_ptseries.o: modules.o cpulog_mod.o mod_kinds.o \
+   netcdf_interface_mod.o mod_particle_attributes.o
+data_output_spectra.o: modules.o cpulog_mod.o mod_kinds.o netcdf_interface_mod.o \
    spectra_mod.o
-data_output_tseries.o: modules.o cpulog.o mod_kinds.o netcdf_interface.o
-data_output_2d.o: modules.o cpulog.o mod_kinds.o mod_particle_attributes.o\
-   netcdf_interface.o land_surface_model_mod.o radiation_model_mod.o
-data_output_3d.o: modules.o cpulog.o mod_kinds.o mod_particle_attributes.o\
-   netcdf_interface.o land_surface_model_mod.o
-diffusion_e.o: modules.o mod_kinds.o microphysics.o
-diffusion_s.o: modules.o mod_kinds.o
-diffusion_u.o: modules.o mod_kinds.o wall_fluxes.o
-diffusion_v.o: modules.o mod_kinds.o wall_fluxes.o
-diffusion_w.o: modules.o mod_kinds.o wall_fluxes.o
+data_output_tseries.o: modules.o cpulog_mod.o mod_kinds.o netcdf_interface_mod.o
+data_output_2d.o: modules.o cpulog_mod.o mod_kinds.o mod_particle_attributes.o\
+   netcdf_interface_mod.o land_surface_model_mod.o radiation_model_mod.o
+data_output_3d.o: modules.o cpulog_mod.o mod_kinds.o mod_particle_attributes.o\
+   netcdf_interface_mod.o land_surface_model_mod.o
+diffusion_e_mod.o: modules.o mod_kinds.o microphysics_mod.o
+diffusion_s_mod.o: modules.o mod_kinds.o
+diffusion_u_mod.o: modules.o mod_kinds.o wall_fluxes_mod.o
+diffusion_v_mod.o: modules.o mod_kinds.o wall_fluxes_mod.o
+diffusion_w_mod.o: modules.o mod_kinds.o wall_fluxes_mod.o
 diffusivities.o: modules.o mod_kinds.o
-disturb_field.o: modules.o cpulog.o mod_kinds.o random_function.o\
-                 random_generator_parallel.o
-disturb_heatflux.o: modules.o cpulog.o mod_kinds.o
-eqn_state_seawater.o: modules.o mod_kinds.o
-exchange_horiz.o: modules.o cpulog.o mod_kinds.o
-exchange_horiz_2d.o: modules.o cpulog.o mod_kinds.o
-fft_xy.o: cuda_fft_interfaces.o modules.o mod_kinds.o singleton.o temperton_fft.o
-flow_statistics.o: modules.o cpulog.o mod_kinds.o land_surface_model_mod.o\
-   netcdf_interface.o radiation_model_mod.o
+disturb_field.o: modules.o cpulog_mod.o mod_kinds.o random_function_mod.o\
+                 random_generator_parallel_mod.o
+disturb_heatflux.o: modules.o cpulog_mod.o mod_kinds.o
+eqn_state_seawater_mod.o: modules.o mod_kinds.o
+exchange_horiz.o: modules.o cpulog_mod.o mod_kinds.o
+exchange_horiz_2d.o: modules.o cpulog_mod.o mod_kinds.o
+fft_xy_mod.o: cuda_fft_interfaces_mod.o modules.o mod_kinds.o singleton_mod.o temperton_fft_mod.o
+flow_statistics.o: modules.o cpulog_mod.o mod_kinds.o land_surface_model_mod.o\
+   netcdf_interface_mod.o radiation_model_mod.o
 global_min_max.o: modules.o mod_kinds.o
-header.o: modules.o cpulog.o mod_kinds.o netcdf_interface.o land_surface_model_mod.o\
-   microphysics.o plant_canopy_model_mod.o: pmc_handle_communicator.o pmc_interface.o \
-   radiation_model_mod.o spectra_mod.o subsidence.o
-inflow_turbulence.o: modules.o cpulog.o mod_kinds.o
+header.o: modules.o cpulog_mod.o mod_kinds.o netcdf_interface_mod.o land_surface_model_mod.o\
+   microphysics_mod.o plant_canopy_model_mod.o pmc_handle_communicator_mod.o pmc_interface_mod.o \
+   radiation_model_mod.o spectra_mod.o subsidence_mod.o
+inflow_turbulence.o: modules.o cpulog_mod.o mod_kinds.o
 init_1d_model.o: modules.o mod_kinds.o
-init_3d_model.o: modules.o mod_kinds.o advec_ws.o cpulog.o land_surface_model_mod.o \
-   lpm_init.o ls_forcing.o netcdf_interface.o plant_canopy_model_mod.o \
-   radiation_model_mod.o random_function.o random_generator_parallel.o \
-   surface_layer_fluxes.o microphysics.o
+init_3d_model.o: modules.o mod_kinds.o advec_ws_mod.o cpulog_mod.o land_surface_model_mod.o \
+   lpm_init_mod.o ls_forcing_mod.o netcdf_interface_mod.o plant_canopy_model_mod.o \
+   radiation_model_mod.o random_function_mod.o random_generator_parallel_mod.o \
+   surface_layer_fluxes_mod.o microphysics_mod.o
 init_advec.o: modules.o mod_kinds.o
 init_cloud_physics.o: modules.o mod_kinds.o
@@ -421,144 +423,144 @@
 init_dvrp.o: modules.o mod_kinds.o
 init_grid.o: modules.o mod_kinds.o
-init_masks.o: modules.o mod_kinds.o netcdf_interface.o
-init_ocean.o: modules.o eqn_state_seawater.o mod_kinds.o
+init_masks.o: modules.o mod_kinds.o netcdf_interface_mod.o
+init_ocean.o: modules.o eqn_state_seawater_mod.o mod_kinds.o
 init_pegrid.o: modules.o mod_kinds.o spectra_mod.o
 init_pt_anomaly.o: modules.o mod_kinds.o
 init_rankine.o: modules.o mod_kinds.o
 init_slope.o: modules.o mod_kinds.o
-interaction_droplets_ptq.o: modules.o mod_kinds.o
+interaction_droplets_ptq_mod.o: modules.o mod_kinds.o
 land_surface_model_mod.o: modules.o mod_kinds.o radiation_model_mod.o
-local_stop.o: modules.o mod_kinds.o pmc_interface.o
-local_tremain.o: modules.o cpulog.o mod_kinds.o
-local_tremain_ini.o: modules.o cpulog.o mod_kinds.o
-lpm.o: modules.o cpulog.o lpm_exchange_horiz.o lpm_init.o lpm_pack_arrays.o \
+local_stop.o: modules.o mod_kinds.o pmc_interface_mod.o
+local_tremain.o: modules.o cpulog_mod.o mod_kinds.o
+local_tremain_ini.o: modules.o cpulog_mod.o mod_kinds.o
+lpm.o: modules.o cpulog_mod.o lpm_exchange_horiz_mod.o lpm_init_mod.o lpm_pack_arrays.o \
 	mod_kinds.o mod_particle_attributes.o
-lpm_advec.o: modules.o cpulog.o mod_kinds.o mod_particle_attributes.o
-lpm_boundary_conds.o: modules.o cpulog.o mod_kinds.o mod_particle_attributes.o
-lpm_calc_liquid_water_content.o: modules.o cpulog.o mod_kinds.o \
+lpm_advec.o: modules.o cpulog_mod.o mod_kinds.o mod_particle_attributes.o
+lpm_boundary_conds.o: modules.o cpulog_mod.o mod_kinds.o mod_particle_attributes.o
+lpm_calc_liquid_water_content.o: modules.o cpulog_mod.o mod_kinds.o \
 	mod_particle_attributes.o
-lpm_collision_kernels.o: modules.o cpulog.o user_module.o mod_kinds.o \
+lpm_collision_kernels_mod.o: modules.o cpulog_mod.o user_module_mod.o mod_kinds.o \
 	mod_particle_attributes.o
-lpm_data_output_particles.o: modules.o cpulog.o mod_kinds.o \
-	mod_particle_attributes.o netcdf_interface.o
-lpm_droplet_collision.o: modules.o cpulog.o lpm_collision_kernels.o \
+lpm_data_output_particles.o: modules.o cpulog_mod.o mod_kinds.o \
+	mod_particle_attributes.o netcdf_interface_mod.o
+lpm_droplet_collision.o: modules.o cpulog_mod.o lpm_collision_kernels_mod.o \
 	mod_kinds.o mod_particle_attributes.o
-lpm_droplet_condensation.o: modules.o cpulog.o lpm_collision_kernels.o \
+lpm_droplet_condensation.o: modules.o cpulog_mod.o lpm_collision_kernels_mod.o \
 	mod_kinds.o mod_particle_attributes.o
-lpm_exchange_horiz.o: modules.o cpulog.o lpm_pack_arrays.o mod_kinds.o \
-	mod_particle_attributes.o netcdf_interface.o
-lpm_init.o: modules.o lpm_collision_kernels.o mod_kinds.o \
-	netcdf_interface.o random_function.o mod_particle_attributes.o \
-	lpm_exchange_horiz.o lpm_pack_arrays.o random_generator_parallel.o
+lpm_exchange_horiz_mod.o: modules.o cpulog_mod.o lpm_pack_arrays.o mod_kinds.o \
+	mod_particle_attributes.o netcdf_interface_mod.o
+lpm_init_mod.o: modules.o lpm_collision_kernels_mod.o mod_kinds.o \
+	netcdf_interface_mod.o random_function_mod.o mod_particle_attributes.o \
+	lpm_exchange_horiz_mod.o lpm_pack_arrays.o random_generator_parallel_mod.o
 lpm_init_sgs_tke.o: modules.o mod_kinds.o mod_particle_attributes.o
-lpm_pack_arrays.o: modules.o cpulog.o mod_kinds.o mod_particle_attributes.o
+lpm_pack_arrays.o: modules.o cpulog_mod.o mod_kinds.o mod_particle_attributes.o
 lpm_read_restart_file.o: modules.o mod_kinds.o mod_particle_attributes.o \
 	lpm_pack_arrays.o
-lpm_set_attributes.o: modules.o cpulog.o mod_kinds.o mod_particle_attributes.o
+lpm_set_attributes.o: modules.o cpulog_mod.o mod_kinds.o mod_particle_attributes.o
 lpm_write_exchange_statistics.o: modules.o mod_kinds.o mod_particle_attributes.o
 lpm_write_restart_file.o: modules.o mod_kinds.o mod_particle_attributes.o
-ls_forcing.o: modules.o cpulog.o mod_kinds.o
-message.o: modules.o mod_kinds.o pmc_interface.o
-microphysics.o: modules.o cpulog.o mod_kinds.o
+ls_forcing_mod.o: modules.o cpulog_mod.o mod_kinds.o
+message.o: modules.o mod_kinds.o pmc_interface_mod.o
+microphysics_mod.o: modules.o cpulog_mod.o mod_kinds.o
 modules.o: modules.f90 mod_kinds.o
 mod_kinds.o: mod_kinds.f90
 mod_particle_attributes.o: mod_particle_attributes.f90 mod_kinds.o
-netcdf_interface.o: netcdf_interface.f90 modules.o mod_kinds.o \
+netcdf_interface_mod.o: netcdf_interface_mod.f90 modules.o mod_kinds.o \
    land_surface_model_mod.o spectra_mod.o
-nudging.o: modules.o cpulog.o mod_kinds.o
+nudging_mod.o: modules.o cpulog_mod.o mod_kinds.o
 package_parin.o: modules.o mod_kinds.o
-palm.o: modules.o cpulog.o ls_forcing.o mod_kinds.o nudging.o\
-	pmc_interface.o surface_layer_fluxes.o
-parin.o: modules.o cpulog.o land_surface_model_mod.o mod_kinds.o netcdf_interface.o \
-   plant_canopy_model_mod.o pmc_interface.o progress_bar.o spectra_mod.o \
-   radiation_model_mod.o microphysics.o
+palm.o: modules.o cpulog_mod.o ls_forcing_mod.o mod_kinds.o nudging_mod.o\
+	pmc_interface_mod.o surface_layer_fluxes_mod.o
+parin.o: modules.o cpulog_mod.o land_surface_model_mod.o mod_kinds.o netcdf_interface_mod.o \
+   plant_canopy_model_mod.o pmc_interface_mod.o progress_bar_mod.o spectra_mod.o \
+   radiation_model_mod.o microphysics_mod.o
 plant_canopy_model_mod.o: modules.o mod_kinds.o
-pmc_interface.o: modules.o mod_kinds.o pmc_client.o pmc_general.o\
-	pmc_handle_communicator.o pmc_mpi_wrapper.o pmc_server.o
-pmc_client.o: mod_kinds.o pmc_general.o pmc_handle_communicator.o\
-   pmc_mpi_wrapper.o
+pmc_interface_mod.o: modules.o mod_kinds.o pmc_client_mod.o pmc_general.o\
+	pmc_handle_communicator_mod.o pmc_mpi_wrapper_mod.o pmc_server_mod.o
+pmc_client_mod.o: mod_kinds.o pmc_general.o pmc_handle_communicator_mod.o\
+   pmc_mpi_wrapper_mod.o
 pmc_general.o: mod_kinds.o
-pmc_handle_communicator.o: modules.o mod_kinds.o pmc_general.o
-pmc_mpi_wrapper.o: pmc_handle_communicator.o
-pmc_server.o: pmc_general.o pmc_handle_communicator.o pmc_mpi_wrapper.o
-poisfft.o: modules.o cpulog.o fft_xy.o mod_kinds.o tridia_solver.o
-poismg.o: modules.o cpulog.o mod_kinds.o
-poismg_fast.o: modules.o cpulog.o mod_kinds.o
-pres.o: modules.o cpulog.o mod_kinds.o poisfft.o poismg_fast.o
-print_1d.o: modules.o cpulog.o mod_kinds.o
-production_e.o: modules.o mod_kinds.o wall_fluxes.o
-prognostic_equations.o: modules.o advec_s_pw.o advec_s_up.o advec_s_bc.o advec_u_pw.o \
-	advec_u_up.o advec_v_pw.o advec_v_up.o advec_w_pw.o advec_w_up.o \
-	advec_ws.o buoyancy.o calc_radiation.o coriolis.o \
-	cpulog.o diffusion_e.o diffusion_s.o diffusion_u.o diffusion_v.o diffusion_w.o \
-	eqn_state_seawater.o mod_kinds.o microphysics.o \
-	nudging.o plant_canopy_model_mod.o production_e.o radiation_model_mod.o \
-	subsidence.o user_actions.o
-progress_bar.o: modules.o mod_kinds.o
-radiation_model_mod.o : modules.o mod_particle_attributes.o microphysics.o
-random_function.o: mod_kinds.o
-random_gauss.o: mod_kinds.o random_function.o random_generator_parallel.o
-random_generator_parallel.o: mod_kinds.o
-read_3d_binary.o: modules.o cpulog.o mod_kinds.o land_surface_model_mod.o \
-   radiation_model_mod.o random_function.o random_generator_parallel.o \
+pmc_handle_communicator_mod.o: modules.o mod_kinds.o pmc_general.o
+pmc_mpi_wrapper_mod.o: pmc_handle_communicator_mod.o
+pmc_server_mod.o: pmc_general.o pmc_handle_communicator_mod.o pmc_mpi_wrapper_mod.o
+poisfft_mod.o: modules.o cpulog_mod.o fft_xy_mod.o mod_kinds.o tridia_solver_mod.o
+poismg.o: modules.o cpulog_mod.o mod_kinds.o
+poismg_fast_mod.o: modules.o cpulog_mod.o mod_kinds.o
+pres.o: modules.o cpulog_mod.o mod_kinds.o poisfft_mod.o poismg_fast_mod.o
+print_1d.o: modules.o cpulog_mod.o mod_kinds.o
+production_e_mod.o: modules.o mod_kinds.o wall_fluxes_mod.o
+prognostic_equations_mod.o: modules.o advec_s_pw_mod.o advec_s_up_mod.o advec_s_bc_mod.o advec_u_pw_mod.o \
+	advec_u_up_mod.o advec_v_pw_mod.o advec_v_up_mod.o advec_w_pw_mod.o advec_w_up_mod.o \
+	advec_ws_mod.o buoyancy_mod.o calc_radiation_mod.o coriolis_mod.o \
+	cpulog_mod.o diffusion_e_mod.o diffusion_s_mod.o diffusion_u_mod.o diffusion_v_mod.o diffusion_w_mod.o \
+	eqn_state_seawater_mod.o mod_kinds.o microphysics_mod.o \
+	nudging_mod.o plant_canopy_model_mod.o production_e_mod.o radiation_model_mod.o \
+	subsidence_mod.o user_actions_mod.o
+progress_bar_mod.o: modules.o mod_kinds.o
+radiation_model_mod.o : modules.o mod_particle_attributes.o microphysics_mod.o
+random_function_mod.o: mod_kinds.o
+random_gauss.o: mod_kinds.o random_function_mod.o random_generator_parallel_mod.o
+random_generator_parallel_mod.o: mod_kinds.o
+read_3d_binary.o: modules.o cpulog_mod.o mod_kinds.o land_surface_model_mod.o \
+   radiation_model_mod.o random_function_mod.o random_generator_parallel_mod.o \
    spectra_mod.o
-read_var_list.o: modules.o mod_kinds.o netcdf_interface.o plant_canopy_model_mod.o \
-   spectra_mod.o microphysics.o
-run_control.o: modules.o cpulog.o mod_kinds.o
+read_var_list.o: modules.o mod_kinds.o netcdf_interface_mod.o plant_canopy_model_mod.o \
+   spectra_mod.o microphysics_mod.o
+run_control.o: modules.o cpulog_mod.o mod_kinds.o
 set_slicer_attributes_dvrp.o: modules.o mod_kinds.o
-singleton.o: mod_kinds.o singleton.f90
+singleton_mod.o: mod_kinds.o singleton_mod.f90
 sor.o: modules.o mod_kinds.o
-spectra_mod.o: spectra_mod.f90 modules.o mod_kinds.o cpulog.o fft_xy.o
-subsidence.o: modules.o mod_kinds.o
-sum_up_3d_data.o: modules.o cpulog.o mod_kinds.o land_surface_model_mod.o\
+spectra_mod.o: spectra_mod.f90 modules.o mod_kinds.o cpulog_mod.o fft_xy_mod.o
+subsidence_mod.o: modules.o mod_kinds.o
+sum_up_3d_data.o: modules.o cpulog_mod.o mod_kinds.o land_surface_model_mod.o\
                   radiation_model_mod.o 
-surface_coupler.o: modules.o cpulog.o mod_kinds.o
-surface_layer_fluxes.o: modules.o mod_kinds.o land_surface_model_mod.o
-swap_timelevel.o: modules.o cpulog.o mod_kinds.o land_surface_model_mod.o\
-   pmc_interface.o
-temperton_fft.o: modules.o mod_kinds.o
-time_integration.o: modules.o advec_ws.o buoyancy.o calc_mean_profile.o \
-	cpulog.o interaction_droplets_ptq.o land_surface_model_mod.o \
-	ls_forcing.o mod_kinds.o nudging.o pmc_interface.o production_e.o \
-	prognostic_equations.o progress_bar.o radiation_model_mod.o \
-	spectra_mod.o user_actions.o surface_layer_fluxes.o microphysics.o
+surface_coupler.o: modules.o cpulog_mod.o mod_kinds.o
+surface_layer_fluxes_mod.o: modules.o mod_kinds.o land_surface_model_mod.o
+swap_timelevel.o: modules.o cpulog_mod.o mod_kinds.o land_surface_model_mod.o\
+   pmc_interface_mod.o
+temperton_fft_mod.o: modules.o mod_kinds.o
+time_integration.o: modules.o advec_ws_mod.o buoyancy_mod.o calc_mean_profile_mod.o \
+	cpulog_mod.o interaction_droplets_ptq_mod.o land_surface_model_mod.o \
+	ls_forcing_mod.o mod_kinds.o nudging_mod.o pmc_interface_mod.o production_e_mod.o \
+	prognostic_equations_mod.o progress_bar_mod.o radiation_model_mod.o \
+	spectra_mod.o user_actions_mod.o surface_layer_fluxes_mod.o microphysics_mod.o
 time_to_string.o: mod_kinds.o
-timestep.o: modules.o cpulog.o mod_kinds.o microphysics.o
+timestep.o: modules.o cpulog_mod.o mod_kinds.o microphysics_mod.o
 timestep_scheme_steering.o: modules.o mod_kinds.o
-transpose.o: modules.o cpulog.o mod_kinds.o
-tridia_solver.o: modules.o mod_kinds.o
-user_3d_data_averaging.o: modules.o mod_kinds.o user_module.o
-user_actions.o: modules.o cpulog.o mod_kinds.o user_module.o
-user_additional_routines.o: modules.o mod_kinds.o user_module.o
-user_check_data_output.o: modules.o mod_kinds.o user_module.o
-user_check_data_output_pr.o: modules.o mod_kinds.o user_module.o \
-   netcdf_interface.o
-user_check_parameters.o: modules.o mod_kinds.o user_module.o
-user_data_output_2d.o: modules.o mod_kinds.o user_module.o
-user_data_output_3d.o: modules.o mod_kinds.o user_module.o
-user_data_output_mask.o: modules.o mod_kinds.o user_module.o
-user_data_output_dvrp.o: modules.o mod_kinds.o user_module.o
-user_define_netcdf_grid.o: modules.o mod_kinds.o user_module.o
-user_dvrp_coltab.o: modules.o mod_kinds.o user_module.o
-user_header.o: modules.o mod_kinds.o user_module.o
-user_init.o: modules.o mod_kinds.o netcdf_interface.o user_module.o
-user_init_3d_model.o: modules.o mod_kinds.o user_module.o
-user_init_grid.o: modules.o mod_kinds.o user_module.o
-user_init_land_surface.o: modules.o mod_kinds.o user_module.o land_surface_model_mod.o
-user_init_plant_canopy.o: modules.o mod_kinds.o user_module.o plant_canopy_model_mod.o
-user_init_radiation.o: modules.o mod_kinds.o user_module.o radiation_model_mod.o
-user_last_actions.o: modules.o mod_kinds.o user_module.o
-user_lpm_advec.o: modules.o mod_kinds.o user_module.o
-user_lpm_init.o: modules.o mod_kinds.o user_module.o
-user_lpm_set_attributes.o: modules.o mod_kinds.o user_module.o
-user_module.o: mod_kinds.o user_module.f90
-user_parin.o: modules.o mod_kinds.o user_module.o
-user_read_restart_data.o: modules.o mod_kinds.o user_module.o
-user_spectra.o: modules.o mod_kinds.o spectra_mod.o user_module.o
-user_statistics.o: modules.o mod_kinds.o netcdf_interface.o user_module.o
-wall_fluxes.o: modules.o mod_kinds.o
-write_3d_binary.o: modules.o cpulog.o mod_kinds.o land_surface_model_mod.o \
-	radiation_model_mod.o random_function.o random_generator_parallel.o \
+transpose.o: modules.o cpulog_mod.o mod_kinds.o
+tridia_solver_mod.o: modules.o mod_kinds.o
+user_3d_data_averaging.o: modules.o mod_kinds.o user_module_mod.o
+user_actions_mod.o: modules.o cpulog_mod.o mod_kinds.o user_module_mod.o
+user_additional_routines.o: modules.o mod_kinds.o user_module_mod.o
+user_check_data_output.o: modules.o mod_kinds.o user_module_mod.o
+user_check_data_output_pr.o: modules.o mod_kinds.o user_module_mod.o \
+   netcdf_interface_mod.o
+user_check_parameters.o: modules.o mod_kinds.o user_module_mod.o
+user_data_output_2d.o: modules.o mod_kinds.o user_module_mod.o
+user_data_output_3d.o: modules.o mod_kinds.o user_module_mod.o
+user_data_output_mask.o: modules.o mod_kinds.o user_module_mod.o
+user_data_output_dvrp.o: modules.o mod_kinds.o user_module_mod.o
+user_define_netcdf_grid.o: modules.o mod_kinds.o user_module_mod.o
+user_dvrp_coltab.o: modules.o mod_kinds.o user_module_mod.o
+user_header.o: modules.o mod_kinds.o user_module_mod.o
+user_init.o: modules.o mod_kinds.o netcdf_interface_mod.o user_module_mod.o
+user_init_3d_model.o: modules.o mod_kinds.o user_module_mod.o
+user_init_grid.o: modules.o mod_kinds.o user_module_mod.o
+user_init_land_surface.o: modules.o mod_kinds.o user_module_mod.o land_surface_model_mod.o
+user_init_plant_canopy.o: modules.o mod_kinds.o user_module_mod.o plant_canopy_model_mod.o
+user_init_radiation.o: modules.o mod_kinds.o user_module_mod.o radiation_model_mod.o
+user_last_actions.o: modules.o mod_kinds.o user_module_mod.o
+user_lpm_advec.o: modules.o mod_kinds.o user_module_mod.o
+user_lpm_init.o: modules.o mod_kinds.o user_module_mod.o
+user_lpm_set_attributes.o: modules.o mod_kinds.o user_module_mod.o
+user_module_mod.o: mod_kinds.o user_module_mod.f90
+user_parin.o: modules.o mod_kinds.o user_module_mod.o
+user_read_restart_data.o: modules.o mod_kinds.o user_module_mod.o
+user_spectra.o: modules.o mod_kinds.o spectra_mod.o user_module_mod.o
+user_statistics.o: modules.o mod_kinds.o netcdf_interface_mod.o user_module_mod.o
+wall_fluxes_mod.o: modules.o mod_kinds.o
+write_3d_binary.o: modules.o cpulog_mod.o mod_kinds.o land_surface_model_mod.o \
+	radiation_model_mod.o random_function_mod.o random_generator_parallel_mod.o \
 	spectra_mod.o
-write_var_list.o: modules.o mod_kinds.o netcdf_interface.o plant_canopy_model_mod.o\
-   spectra_mod.o microphysics.o
+write_var_list.o: modules.o mod_kinds.o netcdf_interface_mod.o plant_canopy_model_mod.o\
+   spectra_mod.o microphysics_mod.o
